# ncurses 6.1 - patch 20180721 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 6.1 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 6.1 can be found at
# 	ftp://ftp.invisible-island.net/ncurses/6.1
#	http://invisible-mirror.net/archives/ncurses/6.1 
#
# ------------------------------------------------------------------------------
# ftp://ftp.invisible-island.net/ncurses/6.1/ncurses-6.1-20180721.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Jul 22 01:11:25 UTC 2018
# ------------------------------------------------------------------------------
# Ada95/aclocal.m4                 |   14 ++
# Ada95/configure                  |   56 ++++++-----
# NEWS                             |    8 +
# VERSION                          |    2 
# aclocal.m4                       |   14 ++
# configure                        |  182 +++++++++++++++++++------------------
# dist.mk                          |    4 
# misc/terminfo.src                |   23 +++-
# package/debian-mingw/changelog   |    4 
# package/debian-mingw64/changelog |    4 
# package/debian/changelog         |    4 
# package/mingw-ncurses.nsi        |    4 
# package/mingw-ncurses.spec       |    2 
# package/ncurses.spec             |    2 
# test/worm.c                      |    5 -
# 15 files changed, 193 insertions(+), 135 deletions(-)
# ------------------------------------------------------------------------------
Index: Ada95/aclocal.m4
Prereq:  1.133 
--- ncurses-6.1-20180714+/Ada95/aclocal.m4	2018-06-21 00:23:13.000000000 +0000
+++ ncurses-6.1-20180721/Ada95/aclocal.m4	2018-07-21 23:14:07.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey
 dnl
-dnl $Id: aclocal.m4,v 1.133 2018/06/21 00:23:13 tom Exp $
+dnl $Id: aclocal.m4,v 1.134 2018/07/21 23:14:07 tom Exp $
 dnl Macros used in NCURSES Ada95 auto-configuration script.
 dnl
 dnl These macros are maintained separately from NCURSES.  The copyright on
@@ -3832,11 +3832,12 @@
 AC_MSG_RESULT($ADA_OBJECTS)
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_WITH_ADA_SHAREDLIB version: 4 updated: 2014/05/31 21:08:37
+dnl CF_WITH_ADA_SHAREDLIB version: 5 updated: 2018/07/21 19:10:35
 dnl ---------------------
 dnl Command-line option to specify if an Ada95 shared-library should be built,
 dnl and optionally what its soname should be.
 AC_DEFUN([CF_WITH_ADA_SHAREDLIB],[
+AC_REQUIRE([CF_GNAT_PROJECTS])
 AC_MSG_CHECKING(if an Ada95 shared-library should be built)
 AC_ARG_WITH(ada-sharedlib,
 	[  --with-ada-sharedlib=soname build shared-library (requires GNAT projects)],
@@ -3844,6 +3845,15 @@
 	[with_ada_sharedlib=no])
 AC_MSG_RESULT($with_ada_sharedlib)
 
+if test "x$with_ada_sharedlib" != xno
+then
+	if test "x$cf_gnat_projects" != xyes
+	then
+		AC_MSG_WARN(disabling shared-library since GNAT projects are not supported)
+		with_ada_sharedlib=no
+	fi
+fi
+
 ADA_SHAREDLIB='lib$(LIB_NAME).so.1'
 MAKE_ADA_SHAREDLIB="#"
 
Index: Ada95/configure
--- ncurses-6.1-20180714+/Ada95/configure	2018-06-21 00:23:13.000000000 +0000
+++ ncurses-6.1-20180721/Ada95/configure	2018-07-21 23:14:44.000000000 +0000
@@ -15883,6 +15883,16 @@
 echo "$as_me:15883: result: $with_ada_sharedlib" >&5
 echo "${ECHO_T}$with_ada_sharedlib" >&6
 
+if test "x$with_ada_sharedlib" != xno
+then
+	if test "x$cf_gnat_projects" != xyes
+	then
+		{ echo "$as_me:15890: WARNING: disabling shared-library since GNAT projects are not supported" >&5
+echo "$as_me: WARNING: disabling shared-library since GNAT projects are not supported" >&2;}
+		with_ada_sharedlib=no
+	fi
+fi
+
 ADA_SHAREDLIB='lib$(LIB_NAME).so.1'
 MAKE_ADA_SHAREDLIB="#"
 
@@ -15896,12 +15906,12 @@
 fi
 
 	else
-		{ { echo "$as_me:15899: error: No usable Ada compiler found" >&5
+		{ { echo "$as_me:15909: error: No usable Ada compiler found" >&5
 echo "$as_me: error: No usable Ada compiler found" >&2;}
    { (exit 1); exit 1; }; }
 	fi
 else
-	{ { echo "$as_me:15904: error: The Ada compiler is needed for this package" >&5
+	{ { echo "$as_me:15914: error: The Ada compiler is needed for this package" >&5
 echo "$as_me: error: The Ada compiler is needed for this package" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -15941,7 +15951,7 @@
 fi
 
 ### Build up pieces for makefile rules
-echo "$as_me:15944: checking default library suffix" >&5
+echo "$as_me:15954: checking default library suffix" >&5
 echo $ECHO_N "checking default library suffix... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -15952,10 +15962,10 @@
 	(shared)  DFT_ARG_SUFFIX=''   ;;
 	esac
 	test -n "$LIB_SUFFIX" && DFT_ARG_SUFFIX="${LIB_SUFFIX}${DFT_ARG_SUFFIX}"
-echo "$as_me:15955: result: $DFT_ARG_SUFFIX" >&5
+echo "$as_me:15965: result: $DFT_ARG_SUFFIX" >&5
 echo "${ECHO_T}$DFT_ARG_SUFFIX" >&6
 
-echo "$as_me:15958: checking default library-dependency suffix" >&5
+echo "$as_me:15968: checking default library-dependency suffix" >&5
 echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6
 
 	case X$DFT_LWR_MODEL in
@@ -16013,10 +16023,10 @@
 		DFT_LIB_SUFFIX="${LIB_SUFFIX}${EXTRA_SUFFIX}${DFT_LIB_SUFFIX}"
 		DFT_DEP_SUFFIX="${LIB_SUFFIX}${EXTRA_SUFFIX}${DFT_DEP_SUFFIX}"
 	fi
-echo "$as_me:16016: result: $DFT_DEP_SUFFIX" >&5
+echo "$as_me:16026: result: $DFT_DEP_SUFFIX" >&5
 echo "${ECHO_T}$DFT_DEP_SUFFIX" >&6
 
-echo "$as_me:16019: checking default object directory" >&5
+echo "$as_me:16029: checking default object directory" >&5
 echo $ECHO_N "checking default object directory... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -16032,7 +16042,7 @@
 			DFT_OBJ_SUBDIR='obj_s' ;;
 		esac
 	esac
-echo "$as_me:16035: result: $DFT_OBJ_SUBDIR" >&5
+echo "$as_me:16045: result: $DFT_OBJ_SUBDIR" >&5
 echo "${ECHO_T}$DFT_OBJ_SUBDIR" >&6
 
 ### Set up low-level terminfo dependencies for makefiles.
@@ -16270,7 +16280,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:16273: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:16283: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -16446,7 +16456,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:16449: error: ambiguous option: $1
+    { { echo "$as_me:16459: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -16465,7 +16475,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:16468: error: unrecognized option: $1
+  -*) { { echo "$as_me:16478: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -16536,7 +16546,7 @@
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
-  *) { { echo "$as_me:16539: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:16549: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -16885,7 +16895,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:16888: creating $ac_file" >&5
+    { echo "$as_me:16898: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -16903,7 +16913,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:16906: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:16916: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -16916,7 +16926,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:16919: error: cannot find input file: $f" >&5
+           { { echo "$as_me:16929: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -16932,7 +16942,7 @@
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:16935: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:16945: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -16941,7 +16951,7 @@
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:16944: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:16954: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -16978,7 +16988,7 @@
             ac_init=`egrep '[ 	]*'$ac_name'[ 	]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:16981: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:16991: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -16989,7 +16999,7 @@
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:16992: WARNING: Some variables may not be substituted:
+      { echo "$as_me:17002: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -17038,7 +17048,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:17041: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:17051: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -17049,7 +17059,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:17052: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:17062: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -17062,7 +17072,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:17065: error: cannot find input file: $f" >&5
+           { { echo "$as_me:17075: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -17120,7 +17130,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:17123: $ac_file is unchanged" >&5
+      { echo "$as_me:17133: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
Index: NEWS
Prereq:  1.3159 
--- ncurses-6.1-20180714+/NEWS	2018-07-14 23:25:22.000000000 +0000
+++ ncurses-6.1-20180721/NEWS	2018-07-21 21:42:07.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.3159 2018/07/14 23:25:22 tom Exp $
+-- $Id: NEWS,v 1.3162 2018/07/21 21:42:07 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,12 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20180721
+	+ build-fixes for gcc8.
+	+ corrected acsc for wy50 -TD
+	+ add wy50 and wy60 shifted function-keys as kF1 to kF16 -TD
+	+ remove ansi+rep mis-added to interix in 2018-02-23 -TD
+
 20180714
 	+ add enum, regex examples to test/demo_forms
 	+ add configure check for pcre-posix library to help with MinGW port.
Index: VERSION
--- ncurses-6.1-20180714+/VERSION	2018-07-14 14:25:29.000000000 +0000
+++ ncurses-6.1-20180721/VERSION	2018-07-21 13:45:51.000000000 +0000
@@ -1 +1 @@
-5:0:10	6.1	20180714
+5:0:10	6.1	20180721
Index: aclocal.m4
Prereq:  1.841 
--- ncurses-6.1-20180714+/aclocal.m4	2018-07-14 23:48:44.000000000 +0000
+++ ncurses-6.1-20180721/aclocal.m4	2018-07-21 23:12:32.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: aclocal.m4,v 1.841 2018/07/14 23:48:44 tom Exp $
+dnl $Id: aclocal.m4,v 1.842 2018/07/21 23:12:32 tom Exp $
 dnl Macros used in NCURSES auto-configuration script.
 dnl
 dnl These macros are maintained separately from NCURSES.  The copyright on
@@ -7389,11 +7389,12 @@
 AC_MSG_RESULT($ADA_OBJECTS)
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_WITH_ADA_SHAREDLIB version: 4 updated: 2014/05/31 21:08:37
+dnl CF_WITH_ADA_SHAREDLIB version: 5 updated: 2018/07/21 19:10:35
 dnl ---------------------
 dnl Command-line option to specify if an Ada95 shared-library should be built,
 dnl and optionally what its soname should be.
 AC_DEFUN([CF_WITH_ADA_SHAREDLIB],[
+AC_REQUIRE([CF_GNAT_PROJECTS])
 AC_MSG_CHECKING(if an Ada95 shared-library should be built)
 AC_ARG_WITH(ada-sharedlib,
 	[  --with-ada-sharedlib=soname build shared-library (requires GNAT projects)],
@@ -7401,6 +7402,15 @@
 	[with_ada_sharedlib=no])
 AC_MSG_RESULT($with_ada_sharedlib)
 
+if test "x$with_ada_sharedlib" != xno
+then
+	if test "x$cf_gnat_projects" != xyes
+	then
+		AC_MSG_WARN(disabling shared-library since GNAT projects are not supported)
+		with_ada_sharedlib=no
+	fi
+fi
+
 ADA_SHAREDLIB='lib$(LIB_NAME).so.1'
 MAKE_ADA_SHAREDLIB="#"
 
Index: configure
--- ncurses-6.1-20180714+/configure	2018-07-14 21:08:46.000000000 +0000
+++ ncurses-6.1-20180721/configure	2018-07-21 23:15:07.000000000 +0000
@@ -23360,6 +23360,16 @@
 echo "$as_me:23360: result: $with_ada_sharedlib" >&5
 echo "${ECHO_T}$with_ada_sharedlib" >&6
 
+if test "x$with_ada_sharedlib" != xno
+then
+	if test "x$cf_gnat_projects" != xyes
+	then
+		{ echo "$as_me:23367: WARNING: disabling shared-library since GNAT projects are not supported" >&5
+echo "$as_me: WARNING: disabling shared-library since GNAT projects are not supported" >&2;}
+		with_ada_sharedlib=no
+	fi
+fi
+
 ADA_SHAREDLIB='lib$(LIB_NAME).so.1'
 MAKE_ADA_SHAREDLIB="#"
 
@@ -23380,13 +23390,13 @@
 
 # do this "late" to avoid conflict with header-checks
 if test "x$with_widec" = xyes ; then
-	echo "$as_me:23383: checking for wchar_t" >&5
+	echo "$as_me:23393: checking for wchar_t" >&5
 echo $ECHO_N "checking for wchar_t... $ECHO_C" >&6
 if test "${ac_cv_type_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 23389 "configure"
+#line 23399 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -23401,16 +23411,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:23404: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:23414: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:23407: \$? = $ac_status" >&5
+  echo "$as_me:23417: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:23410: \"$ac_try\"") >&5
+  { (eval echo "$as_me:23420: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:23413: \$? = $ac_status" >&5
+  echo "$as_me:23423: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_wchar_t=yes
 else
@@ -23420,10 +23430,10 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:23423: result: $ac_cv_type_wchar_t" >&5
+echo "$as_me:23433: result: $ac_cv_type_wchar_t" >&5
 echo "${ECHO_T}$ac_cv_type_wchar_t" >&6
 
-echo "$as_me:23426: checking size of wchar_t" >&5
+echo "$as_me:23436: checking size of wchar_t" >&5
 echo $ECHO_N "checking size of wchar_t... $ECHO_C" >&6
 if test "${ac_cv_sizeof_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -23432,7 +23442,7 @@
   if test "$cross_compiling" = yes; then
   # Depending upon the size, compute the lo and hi bounds.
 cat >conftest.$ac_ext <<_ACEOF
-#line 23435 "configure"
+#line 23445 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -23444,21 +23454,21 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:23447: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:23457: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:23450: \$? = $ac_status" >&5
+  echo "$as_me:23460: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:23453: \"$ac_try\"") >&5
+  { (eval echo "$as_me:23463: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:23456: \$? = $ac_status" >&5
+  echo "$as_me:23466: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lo=0 ac_mid=0
   while :; do
     cat >conftest.$ac_ext <<_ACEOF
-#line 23461 "configure"
+#line 23471 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -23470,16 +23480,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:23473: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:23483: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:23476: \$? = $ac_status" >&5
+  echo "$as_me:23486: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:23479: \"$ac_try\"") >&5
+  { (eval echo "$as_me:23489: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:23482: \$? = $ac_status" >&5
+  echo "$as_me:23492: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_hi=$ac_mid; break
 else
@@ -23495,7 +23505,7 @@
 ac_hi=-1 ac_mid=-1
   while :; do
     cat >conftest.$ac_ext <<_ACEOF
-#line 23498 "configure"
+#line 23508 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -23507,16 +23517,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:23510: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:23520: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:23513: \$? = $ac_status" >&5
+  echo "$as_me:23523: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:23516: \"$ac_try\"") >&5
+  { (eval echo "$as_me:23526: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:23519: \$? = $ac_status" >&5
+  echo "$as_me:23529: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lo=$ac_mid; break
 else
@@ -23532,7 +23542,7 @@
 while test "x$ac_lo" != "x$ac_hi"; do
   ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
   cat >conftest.$ac_ext <<_ACEOF
-#line 23535 "configure"
+#line 23545 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -23544,16 +23554,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:23547: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:23557: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:23550: \$? = $ac_status" >&5
+  echo "$as_me:23560: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:23553: \"$ac_try\"") >&5
+  { (eval echo "$as_me:23563: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:23556: \$? = $ac_status" >&5
+  echo "$as_me:23566: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_hi=$ac_mid
 else
@@ -23566,12 +23576,12 @@
 ac_cv_sizeof_wchar_t=$ac_lo
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:23569: error: cannot run test program while cross compiling" >&5
+  { { echo "$as_me:23579: error: cannot run test program while cross compiling" >&5
 echo "$as_me: error: cannot run test program while cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 23574 "configure"
+#line 23584 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -23587,15 +23597,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:23590: \"$ac_link\"") >&5
+if { (eval echo "$as_me:23600: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:23593: \$? = $ac_status" >&5
+  echo "$as_me:23603: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:23595: \"$ac_try\"") >&5
+  { (eval echo "$as_me:23605: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:23598: \$? = $ac_status" >&5
+  echo "$as_me:23608: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sizeof_wchar_t=`cat conftest.val`
 else
@@ -23611,7 +23621,7 @@
   ac_cv_sizeof_wchar_t=0
 fi
 fi
-echo "$as_me:23614: result: $ac_cv_sizeof_wchar_t" >&5
+echo "$as_me:23624: result: $ac_cv_sizeof_wchar_t" >&5
 echo "${ECHO_T}$ac_cv_sizeof_wchar_t" >&6
 cat >>confdefs.h <<EOF
 #define SIZEOF_WCHAR_T $ac_cv_sizeof_wchar_t
@@ -23629,7 +23639,7 @@
 ### chooses to split module lists into libraries.
 ###
 ### (see CF_LIB_RULES).
-echo "$as_me:23632: checking for library subsets" >&5
+echo "$as_me:23642: checking for library subsets" >&5
 echo $ECHO_N "checking for library subsets... $ECHO_C" >&6
 LIB_SUBSETS=
 
@@ -23671,7 +23681,7 @@
 test "x$with_widec"     = xyes && LIB_SUBSETS="${LIB_SUBSETS}+widechar"
 test "x$with_ext_funcs" = xyes && LIB_SUBSETS="${LIB_SUBSETS}+ext_funcs"
 
-echo "$as_me:23674: result: $LIB_SUBSETS" >&5
+echo "$as_me:23684: result: $LIB_SUBSETS" >&5
 echo "${ECHO_T}$LIB_SUBSETS" >&6
 
 ### Construct the list of include-directories to be generated
@@ -23702,7 +23712,7 @@
 fi
 
 ### Build up pieces for makefile rules
-echo "$as_me:23705: checking default library suffix" >&5
+echo "$as_me:23715: checking default library suffix" >&5
 echo $ECHO_N "checking default library suffix... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -23713,10 +23723,10 @@
 	(shared)  DFT_ARG_SUFFIX=''   ;;
 	esac
 	test -n "$LIB_SUFFIX" && DFT_ARG_SUFFIX="${LIB_SUFFIX}${DFT_ARG_SUFFIX}"
-echo "$as_me:23716: result: $DFT_ARG_SUFFIX" >&5
+echo "$as_me:23726: result: $DFT_ARG_SUFFIX" >&5
 echo "${ECHO_T}$DFT_ARG_SUFFIX" >&6
 
-echo "$as_me:23719: checking default library-dependency suffix" >&5
+echo "$as_me:23729: checking default library-dependency suffix" >&5
 echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6
 
 	case X$DFT_LWR_MODEL in
@@ -23774,10 +23784,10 @@
 		DFT_LIB_SUFFIX="${LIB_SUFFIX}${EXTRA_SUFFIX}${DFT_LIB_SUFFIX}"
 		DFT_DEP_SUFFIX="${LIB_SUFFIX}${EXTRA_SUFFIX}${DFT_DEP_SUFFIX}"
 	fi
-echo "$as_me:23777: result: $DFT_DEP_SUFFIX" >&5
+echo "$as_me:23787: result: $DFT_DEP_SUFFIX" >&5
 echo "${ECHO_T}$DFT_DEP_SUFFIX" >&6
 
-echo "$as_me:23780: checking default object directory" >&5
+echo "$as_me:23790: checking default object directory" >&5
 echo $ECHO_N "checking default object directory... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -23793,11 +23803,11 @@
 			DFT_OBJ_SUBDIR='obj_s' ;;
 		esac
 	esac
-echo "$as_me:23796: result: $DFT_OBJ_SUBDIR" >&5
+echo "$as_me:23806: result: $DFT_OBJ_SUBDIR" >&5
 echo "${ECHO_T}$DFT_OBJ_SUBDIR" >&6
 
 if test "x$cf_with_cxx" = xyes ; then
-echo "$as_me:23800: checking c++ library-dependency suffix" >&5
+echo "$as_me:23810: checking c++ library-dependency suffix" >&5
 echo $ECHO_N "checking c++ library-dependency suffix... $ECHO_C" >&6
 if test "$with_libtool" != "no"; then
 	# libtool thinks it can make c++ shared libraries (perhaps only g++)
@@ -23865,7 +23875,7 @@
 	fi
 
 fi
-echo "$as_me:23868: result: $CXX_LIB_SUFFIX" >&5
+echo "$as_me:23878: result: $CXX_LIB_SUFFIX" >&5
 echo "${ECHO_T}$CXX_LIB_SUFFIX" >&6
 
 fi
@@ -24041,19 +24051,19 @@
 
 if test -n "$LDFLAGS_STATIC" && test -n "$LDFLAGS_SHARED"
 then
-	echo "$as_me:24044: checking if linker supports switching between static/dynamic" >&5
+	echo "$as_me:24054: checking if linker supports switching between static/dynamic" >&5
 echo $ECHO_N "checking if linker supports switching between static/dynamic... $ECHO_C" >&6
 
 	rm -f libconftest.a
 	cat >conftest.$ac_ext <<EOF
-#line 24049 "configure"
+#line 24059 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp) { return fflush(fp); }
 EOF
-	if { (eval echo "$as_me:24053: \"$ac_compile\"") >&5
+	if { (eval echo "$as_me:24063: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:24056: \$? = $ac_status" >&5
+  echo "$as_me:24066: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
 		( $AR $ARFLAGS libconftest.a conftest.o ) 2>&5 1>/dev/null
 		( eval $RANLIB libconftest.a ) 2>&5 >/dev/null
@@ -24064,10 +24074,10 @@
 
 	LIBS="$LDFLAGS_STATIC -L`pwd` -lconftest $LDFLAGS_DYNAMIC $LIBS"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 24067 "configure"
+#line 24077 "configure"
 #include "confdefs.h"
 
-#line 24070 "configure"
+#line 24080 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp);
 
@@ -24082,16 +24092,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:24085: \"$ac_link\"") >&5
+if { (eval echo "$as_me:24095: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:24088: \$? = $ac_status" >&5
+  echo "$as_me:24098: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:24091: \"$ac_try\"") >&5
+  { (eval echo "$as_me:24101: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:24094: \$? = $ac_status" >&5
+  echo "$as_me:24104: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	# some linkers simply ignore the -dynamic
@@ -24114,7 +24124,7 @@
 	rm -f libconftest.*
 	LIBS="$cf_save_LIBS"
 
-	echo "$as_me:24117: result: $cf_ldflags_static" >&5
+	echo "$as_me:24127: result: $cf_ldflags_static" >&5
 echo "${ECHO_T}$cf_ldflags_static" >&6
 
 	if test $cf_ldflags_static != yes
@@ -24130,7 +24140,7 @@
 	;;
 esac
 
-echo "$as_me:24133: checking where we will install curses.h" >&5
+echo "$as_me:24143: checking where we will install curses.h" >&5
 echo $ECHO_N "checking where we will install curses.h... $ECHO_C" >&6
 
 includesubdir=
@@ -24140,7 +24150,7 @@
 then
 	includesubdir="/ncurses${USE_LIB_SUFFIX}"
 fi
-echo "$as_me:24143: result: ${includedir}${includesubdir}" >&5
+echo "$as_me:24153: result: ${includedir}${includesubdir}" >&5
 echo "${ECHO_T}${includedir}${includesubdir}" >&6
 
 ### Resolve a conflict between normal and wide-curses by forcing applications
@@ -24148,7 +24158,7 @@
 if test "$with_overwrite" != no ; then
 if test "$NCURSES_LIBUTF8" = 1 ; then
 	NCURSES_LIBUTF8='defined(HAVE_LIBUTF8_H)'
-	{ echo "$as_me:24151: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
+	{ echo "$as_me:24161: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
 echo "$as_me: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&2;}
 fi
 fi
@@ -24166,7 +24176,7 @@
 ### Construct the list of subdirectories for which we'll customize makefiles
 ### with the appropriate compile-rules.
 
-echo "$as_me:24169: checking for src modules" >&5
+echo "$as_me:24179: checking for src modules" >&5
 echo $ECHO_N "checking for src modules... $ECHO_C" >&6
 
 # dependencies and linker-arguments for test-programs
@@ -24231,7 +24241,7 @@
 		fi
 	fi
 done
-echo "$as_me:24234: result: $cf_cv_src_modules" >&5
+echo "$as_me:24244: result: $cf_cv_src_modules" >&5
 echo "${ECHO_T}$cf_cv_src_modules" >&6
 
 TEST_ARGS="-L${LIB_DIR} $TEST_ARGS"
@@ -24468,7 +24478,7 @@
 
 # Extract the first word of "tic", so it can be a program name with args.
 set dummy tic; ac_word=$2
-echo "$as_me:24471: checking for $ac_word" >&5
+echo "$as_me:24481: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_TIC_PATH+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -24485,7 +24495,7 @@
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_TIC_PATH="$ac_dir/$ac_word"
-   echo "$as_me:24488: found $ac_dir/$ac_word" >&5
+   echo "$as_me:24498: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -24497,10 +24507,10 @@
 TIC_PATH=$ac_cv_path_TIC_PATH
 
 if test -n "$TIC_PATH"; then
-  echo "$as_me:24500: result: $TIC_PATH" >&5
+  echo "$as_me:24510: result: $TIC_PATH" >&5
 echo "${ECHO_T}$TIC_PATH" >&6
 else
-  echo "$as_me:24503: result: no" >&5
+  echo "$as_me:24513: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -24508,7 +24518,7 @@
 then
 	if test "$TIC_PATH" = unknown
 	then
-		{ echo "$as_me:24511: WARNING: no tic program found for fallbacks" >&5
+		{ echo "$as_me:24521: WARNING: no tic program found for fallbacks" >&5
 echo "$as_me: WARNING: no tic program found for fallbacks" >&2;}
 	fi
 fi
@@ -24544,7 +24554,7 @@
 	(*-D_XOPEN_SOURCE_EXTENDED*)
 		test -n "$verbose" && echo "	moving _XOPEN_SOURCE_EXTENDED to work around g++ problem" 1>&6
 
-echo "${as_me:-configure}:24547: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
+echo "${as_me:-configure}:24557: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
 
 		CFLAGS="$CFLAGS -D_XOPEN_SOURCE_EXTENDED"
 		CPPFLAGS=`echo "x$CPPFLAGS" | sed -e  's/^.//' -e 's/-D_XOPEN_SOURCE_EXTENDED//'`
@@ -24555,7 +24565,7 @@
 
 # Help to automatically enable the extended curses features when using either
 # the *-config or the ".pc" files by adding defines.
-echo "$as_me:24558: checking for defines to add to ncurses${USE_CFG_SUFFIX}-config script" >&5
+echo "$as_me:24568: checking for defines to add to ncurses${USE_CFG_SUFFIX}-config script" >&5
 echo $ECHO_N "checking for defines to add to ncurses${USE_CFG_SUFFIX}-config script... $ECHO_C" >&6
 PKG_CFLAGS=
 for cf_loop1 in $CPPFLAGS_after_XOPEN
@@ -24571,7 +24581,7 @@
 	done
 	test "$cf_found" = no && PKG_CFLAGS="$PKG_CFLAGS $cf_loop1"
 done
-echo "$as_me:24574: result: $PKG_CFLAGS" >&5
+echo "$as_me:24584: result: $PKG_CFLAGS" >&5
 echo "${ECHO_T}$PKG_CFLAGS" >&6
 
 # AC_CHECK_SIZEOF demands a literal parameter, no variables.  So we do this.
@@ -24628,7 +24638,7 @@
 	cf_filter_syms=$cf_dft_filter_syms
 	test -n "$verbose" && echo "	will map symbols to ABI=$cf_cv_abi_version" 1>&6
 
-echo "${as_me:-configure}:24631: testing will map symbols to ABI=$cf_cv_abi_version ..." 1>&5
+echo "${as_me:-configure}:24641: testing will map symbols to ABI=$cf_cv_abi_version ..." 1>&5
 
 fi
 
@@ -24738,7 +24748,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:24741: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:24751: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -24914,7 +24924,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:24917: error: ambiguous option: $1
+    { { echo "$as_me:24927: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -24933,7 +24943,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:24936: error: unrecognized option: $1
+  -*) { { echo "$as_me:24946: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -25052,7 +25062,7 @@
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
-  *) { { echo "$as_me:25055: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:25065: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -25542,7 +25552,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:25545: creating $ac_file" >&5
+    { echo "$as_me:25555: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -25560,7 +25570,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:25563: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:25573: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -25573,7 +25583,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:25576: error: cannot find input file: $f" >&5
+           { { echo "$as_me:25586: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -25589,7 +25599,7 @@
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:25592: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:25602: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -25598,7 +25608,7 @@
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:25601: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:25611: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -25635,7 +25645,7 @@
             ac_init=`egrep '[ 	]*'$ac_name'[ 	]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:25638: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:25648: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -25646,7 +25656,7 @@
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:25649: WARNING: Some variables may not be substituted:
+      { echo "$as_me:25659: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -25695,7 +25705,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:25698: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:25708: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -25706,7 +25716,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:25709: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:25719: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -25719,7 +25729,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:25722: error: cannot find input file: $f" >&5
+           { { echo "$as_me:25732: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -25777,7 +25787,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:25780: $ac_file is unchanged" >&5
+      { echo "$as_me:25790: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -26122,7 +26132,7 @@
 				(cygdll|msysdll|mingw)
 					test "x$with_shared_cxx" = xno && test -n "$verbose" && echo "	overriding CXX_MODEL to SHARED" 1>&6
 
-echo "${as_me:-configure}:26125: testing overriding CXX_MODEL to SHARED ..." 1>&5
+echo "${as_me:-configure}:26135: testing overriding CXX_MODEL to SHARED ..." 1>&5
 
 					with_shared_cxx=yes
 					;;
Index: dist.mk
Prereq:  1.1232 
--- ncurses-6.1-20180714+/dist.mk	2018-07-14 14:25:29.000000000 +0000
+++ ncurses-6.1-20180721/dist.mk	2018-07-21 13:45:51.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1232 2018/07/14 14:25:29 tom Exp $
+# $Id: dist.mk,v 1.1233 2018/07/21 13:45:51 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 6
 NCURSES_MINOR = 1
-NCURSES_PATCH = 20180714
+NCURSES_PATCH = 20180721
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: misc/terminfo.src
--- ncurses-6.1-20180714+/misc/terminfo.src	2018-06-30 17:32:07.000000000 +0000
+++ ncurses-6.1-20180721/misc/terminfo.src	2018-07-21 19:02:07.000000000 +0000
@@ -6,8 +6,8 @@
 # Report bugs and new terminal descriptions to
 #	bug-ncurses@gnu.org
 #
-#	$Revision: 1.702 $
-#	$Date: 2018/06/30 17:32:07 $
+#	$Revision: 1.705 $
+#	$Date: 2018/07/21 19:02:07 $
 #
 # The original header is preserved below for reference.  It is noted that there
 # is a "newer" version which differs in some cosmetic details (but actually
@@ -8119,7 +8119,7 @@
 	op=\E[m, rc=\E[u, rev=\E[7m, ri=\E[T, rin=\E[%p1%dT,
 	rmcup=\E[2b\E[u\r\E[K, rmso=\E[m, rmul=\E[m, rs1=\Ec,
 	sc=\E[s, sgr0=\E[0m, smcup=\E[s\E[1b, smso=\E[7m,
-	smul=\E[4m, use=ansi+rep, use=klone+color,
+	smul=\E[4m, use=klone+color,
 
 opennt-35|ntconsole-35|OpenNT-term35 compatible with color,
 	lines#35, use=opennt,
@@ -10757,7 +10757,7 @@
 wy50|wyse50|Wyse 50,
 	am, bw, hs, mc5i, mir, msgr, xon,
 	cols#80, lh#1, lines#24, lw#8, ma#1, nlab#8, wsl#45,
-	acsc=0wa_h[jukslrmqnxqzttuyv]wpxv, bel=^G, cbt=\EI,
+	acsc=a;j5k3l2m1n8q\:t4u9v=w0x6, bel=^G, cbt=\EI,
 	civis=\E`0, clear=\E+$<20>, cnorm=\E`1, cr=\r, cub1=^H,
 	cud1=\n, cuf1=^L, cup=\E=%p1%{32}%+%c%p2%{32}%+%c,
 	cuu1=^K, dch1=\EW$<1>, dim=\E`7\E), dl1=\ER, dsl=\EF\r,
@@ -10777,7 +10777,10 @@
 	sgr=%?%p1%p3%|%t\E`6\E)%e%p5%p8%|%t\E`7\E)%e\E(%;%?%p9%t\EH
 	    \002%e\EH\003%;,
 	sgr0=\E(\EH\003, smacs=\EH^B, smir=\Eq, smln=\EA10,
-	smso=\E`6\E), tbc=\E0, tsl=\EF,
+	smso=\E`6\E), tbc=\E0, tsl=\EF, kF1=^A`\r, kF10=^Ai\r,
+	kF11=^Aj\r, kF12=^Ak\r, kF13=^Al\r, kF14=^Am\r, kF15=^An\r,
+	kF16=^Ao\r, kF2=^Aa\r, kF3=^Ab\r, kF4=^Ac\r, kF5=^Ad\r,
+	kF6=^Ae\r, kF7=^Af\r, kF8=^Ag\r, kF9=^Ah\r,
 #
 #	This terminal description uses the non-hidden attribute mode
 #	(with magic cookie).
@@ -11004,7 +11007,10 @@
 	    %{64}%|%;%?%p7%t%{1}%|%;%c,
 	sgr0=\E(\EH\003\EG0\EcD, smacs=\EcE, smam=\Ed/,
 	smcup=\Ew0, smir=\Eq, smln=\EA10, smso=\EGt, smxon=\Ec21,
-	tbc=\E0, tsl=\EF, use=adm+sgr,
+	tbc=\E0, tsl=\EF, kF1=^A`\r, kF10=^Ai\r, kF11=^Aj\r,
+	kF12=^Ak\r, kF13=^Al\r, kF14=^Am\r, kF15=^An\r, kF16=^Ao\r,
+	kF2=^Aa\r, kF3=^Ab\r, kF4=^Ac\r, kF5=^Ad\r, kF6=^Ae\r,
+	kF7=^Af\r, kF8=^Ag\r, kF9=^Ah\r, use=adm+sgr,
 #
 wy60-w|wyse60-w|wyse 60 132-column,
 	cols#132, lw#7, nlab#16, wsl#97,
@@ -25748,4 +25754,9 @@
 #	+ add acsc string to vi200 (Nibby Nebbulous)
 #	  add right/down-arrow to vi200's acsc -TD
 #
+# 2018-07-21
+#	+ corrected acsc for wy50 -TD
+#	+ add wy50 and wy60 shifted function-keys as kF1 to kF16 -TD
+#	+ remove ansi+rep mis-added to interix in 2018-02-23 -TD
+#
 ######## SHANTIH!  SHANTIH!  SHANTIH!
Index: package/debian-mingw/changelog
--- ncurses-6.1-20180714+/package/debian-mingw/changelog	2018-07-14 14:25:29.000000000 +0000
+++ ncurses-6.1-20180721/package/debian-mingw/changelog	2018-07-21 13:45:51.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.1+20180714) unstable; urgency=low
+ncurses6 (6.1+20180721) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 14 Jul 2018 10:25:29 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 21 Jul 2018 09:45:51 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-6.1-20180714+/package/debian-mingw64/changelog	2018-07-14 14:25:29.000000000 +0000
+++ ncurses-6.1-20180721/package/debian-mingw64/changelog	2018-07-21 13:45:51.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.1+20180714) unstable; urgency=low
+ncurses6 (6.1+20180721) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 14 Jul 2018 10:25:29 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 21 Jul 2018 09:45:51 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-6.1-20180714+/package/debian/changelog	2018-07-14 14:25:29.000000000 +0000
+++ ncurses-6.1-20180721/package/debian/changelog	2018-07-21 13:45:51.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.1+20180714) unstable; urgency=low
+ncurses6 (6.1+20180721) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 14 Jul 2018 10:25:29 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 21 Jul 2018 09:45:51 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.279 
--- ncurses-6.1-20180714+/package/mingw-ncurses.nsi	2018-07-14 14:25:29.000000000 +0000
+++ ncurses-6.1-20180721/package/mingw-ncurses.nsi	2018-07-21 13:45:51.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.279 2018/07/14 14:25:29 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.280 2018/07/21 13:45:51 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "6"
 !define VERSION_MINOR "1"
 !define VERSION_YYYY  "2018"
-!define VERSION_MMDD  "0714"
+!define VERSION_MMDD  "0721"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-6.1-20180714+/package/mingw-ncurses.spec	2018-07-14 23:45:27.000000000 +0000
+++ ncurses-6.1-20180721/package/mingw-ncurses.spec	2018-07-21 13:45:51.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 6.1
-Release: 20180714
+Release: 20180721
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-6.1-20180714+/package/ncurses.spec	2018-07-14 14:25:29.000000000 +0000
+++ ncurses-6.1-20180721/package/ncurses.spec	2018-07-21 13:45:51.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 6.1
-Release: 20180714
+Release: 20180721
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: test/worm.c
Prereq:  1.78 
--- ncurses-6.1-20180714+/test/worm.c	2018-06-17 01:40:17.000000000 +0000
+++ ncurses-6.1-20180721/test/worm.c	2018-07-21 21:40:00.000000000 +0000
@@ -52,7 +52,7 @@
   traces will be dumped.  The program stops and waits for one character of
   input at the beginning and end of the interval.
 
-  $Id: worm.c,v 1.78 2018/06/17 01:40:17 tom Exp $
+  $Id: worm.c,v 1.79 2018/07/21 21:40:00 tom Exp $
 */
 
 #include <test.priv.h>
@@ -401,11 +401,12 @@
 
 #ifdef KEY_RESIZE
 static int
-update_refs(WINDOW *win)
+update_refs(WINDOW *win, void *data)
 {
     int x, y;
 
     (void) win;
+    (void) data;
     if (last_x != COLS - 1) {
 	for (y = 0; y <= last_y; y++) {
 	    refs[y] = typeRealloc(int, (size_t) COLS, refs[y]);
